CAd二次开发 [问题点数:40分,结帖人hou_jiangzhen]

Bbs1
本版专家分:0
结帖率 100%
cad二次开发 SW二次开发
本人专业从事针对各行不同生产制造工艺,开发个性化的autocad设计平台;也可以为soildworks组件开发;欢迎有相关需求的朋友联系洽谈,或是QQ留言: rnQQ : 807823199 rnEMAIL:lxq200@163.com rn
CAD二次开发
CAD<em>二次开发</em> 工程的开发和交流 大家多支持一下,互相学习
cad二次开发
Dim AcadApp As AcadApplication rnDim CarObj As AcadSolidrnFunction Car(x)rnDim Pt1(0 To 2), Pt2(0 To 2), Pt3(0 To 2), Pt4(0 To 2) As DoublernPt1(0) = x(0) - 0.25: Pt1(1) = x(1) + 0.25: Pt1(2) = 0rnPt2(0) = x(0) + 0.25: Pt2(1) = x(1) + 0.25: Pt2(2) = 0rnPt3(0) = x(0) - 0.25: Pt3(1) = x(1) - 0.25: Pt3(2) = 0rnPt4(0) = x(0) + 0.25: Pt4(1) = x(1) - 0.25: Pt4(2) = 0rnSet CarObj = AcadApp.ActiveDocument.ModelSpace.AddSolid(Pt1, Pt2, Pt3, Pt4)运行的时候这里提示无效的过程调用或参数,应该怎么改?rnCarObj.Color = acBluernEnd Functionrn
cad的二次开发
利用vb对cad进行了<em>二次开发</em>,步骤如下: 在VB中使用MapGIS组件对象的步骤是: (1)嵌入MapGIS对象类型库; (2)建立MapGIS对象; (3)调用MapGIS对象和其他VB对象的方法和属性完成GIS应用软件功能; (4)释放MAPGIS对象.
CAD的二次开发
CAD的<em>二次开发</em>讲解和实例,以及如何应用VB对CAD进行开发的实例。
CAD拆图 CAD二次开发 CAD开发
CAD拆图 CAD<em>二次开发</em> CAD开发CAD拆图 CAD<em>二次开发</em> CAD开发
CAD二次开发理论与技术
比较新的autocad开发技术,不当有arx还用opendwg的说明
ARX CAD二次开发 经纬网
ARX CAD<em>二次开发</em>绘制经纬网,用于地信、测绘等专业
CAD二次开发中常用函数
自己写的CAD<em>二次开发</em>常用函数,对刚入门CAD<em>二次开发</em>的开发人员很有帮助
CAD二次开发实例源码
包含100多个CAD开发实例,非常有用,欢迎大家下载学习
缓和曲线cad二次开发
如何在cad下画缓和曲线,cad<em>二次开发</em>,lsp代码
CAD二次开发程序-3
原型系统产生的图纸幅面分为装配图和零件图两种格式,包括国家标准规定的A0、A1、A2、A3、A4幅面的横幅和竖幅,以及自定义图幅,自动生成图框和标题栏,并将图纸幅面图形元素组成图形单元。 填写标题栏是一项很繁琐的工作,原型系统提供了标题栏自动填写功能。用户在对话框中交互编辑填写内容,系统将用户信息转换成矢量汉字,填写在指定位置,并将填写内容组成图元。 本例程实现的功能有:(1)为新图添加图纸幅面;(2)为已存在的图追加图纸幅面(图9-27);(3) 自动填写标题栏(图9-28)。
CAD二次开发托管工具
用C#语言,CAD<em>二次开发</em>的托管工具,无需每次打开CAD加载文件,支持多个版本CAD
CAD图纸二次开发编程
CAD图纸,autolisp,objectarx编程,autocad<em>二次开发</em>
delphi中的CAD二次开发
请问有没有高手可以告知在delphi开发AUTOCAD的基本方法及有无相应控件下载,谢谢
CAD的二次开发求帮助!!!
问个问题,最近在搞CAD的<em>二次开发</em>,用VC++6.0,在里面建了两个工程,其中工程1调用了工程2类下的一个函数rn编译连接之后报错:unresolved external symbol "public: static class AcDbObjectId __cdecl CCreateEntity::CreateLine(void)" (?CreateLine@CCreateEntity@@SA?AVAcDbObjectId@@XZ)rnFullDebug/wang测试.arx : fatal error LNK1120: 1 unresolved externalsrnrn这是工程1引用的代码其中的一部分:rnrn AcGePoint3d ptStart(0,0,0);rn AcGePoint3d ptEnd(100,0,0);rn CCreateEntity::CreateLine();rn其中,CCreateEntity类是工程2创建的rnrn这是我的头文件:rn#include "StdAfx.h"rn#include "StdArx.h"rn#include "acdb.h"rn#include "../cad<em>二次开发</em>基础文件/CreateEntity.h"rnrn我用的工具包是objectarx2002,本来想就简简单单的弄个例子看看跨工程引用能用不,结果调试了一个下午也没成功,求高手大侠指点下子~
100分!!!cad二次开发
问题如下:rnrn现在有两个面 A面和B面 A、B的X,Y轴坐标相同 唯一不懂的是Z轴 A面不在一个平面上(Z轴的值不同),而B在一个平面上(Z轴的值相同),通过直线1,、2、3、4连接A、B两个面 rn但是现在如何把A、B和四条直线合成一个三维实体rnrn注:A、B面是三维多段线组成的。rnrn期待高手!!rnrn有代码最佳!!
浅谈 CAD CAE 二次开发
浅谈 CAD CAE <em>二次开发</em> 本文首先介绍了对商业性CAD/CAE软件进行<em>二次开发</em>的意义,并对软件<em>二次开发</em>的特 点与分类等情况进行了简单的总结,提出<em>二次开发</em>是一种降低开发成本,实现客户化定制功 能的有效手段。通过列举几个通用商业性软件<em>二次开发</em>的实例,论证了<em>二次开发</em>在各个工程 研究领域的广泛应用。
CAD VBA二次开发例程
CAD <em>二次开发</em>,用于寻找选择转换圆,采用VBA语言,不分cad版本
CAD二次开发报告示例
CAD,针对城市轨道交通线路设计平曲线绘制的<em>二次开发</em>;
基于VBA的CAD二次开发
基于VBA的CAD<em>二次开发</em> 用于绘制等高线 数字成图等
C#二次开发CAD
C#对CAD<em>二次开发</em>资料集合+2张CAD图 基于Visual+C#的AutoCAD+开发及其在工程中的应用.pdf 利用C_进行AutoCAD的<em>二次开发</em>.pdf Autodesk官方最新的.NET教程(C_版).doc C# CAD<em>二次开发</em>入门(VS2005+CAD2008).doc C#实现CAD数据转shape或mdb.doc C# CAD<em>二次开发</em>入门(VS2005+CAD2008).rar C#仿简单的CAD矢量绘图源码.rar C#开发交互式CAD系统.rar C#获取CAD中图元的坐标(C#).rar语言操作ActiveX_automation CAD<em>二次开发</em>实例教程.rar 009.dwg 038.dwg
CAD二次开发SDK
cad<em>二次开发</em>接口,支持浩辰CAD最新版V2019,也可以获取企业的技术支持和指导!
cad二次开发,自定义实体
cad<em>二次开发</em>,自定义实体,acrxEntryPoint,重新实体对象函数
cad测绘软件二次开发
pdf格式文件,详细说明了使用autocad进行测绘软件<em>二次开发</em>的流程,很好的一本参考书。
关于CAD的二次开发
请问哪位仁兄知道一些delphi或vb对cad进行<em>二次开发</em>方面的资料,不胜感激,主要是通过程序生成\处理cad文件
关于cad的二次开发
求教:怎样在cad的菜单中添加自己的菜单项?请详细告知,最好有一段程序例子,谢谢!
何谓CAD二次开发
AutoCAD的<em>二次开发</em>主要涉及以下内容: (1)编写各种用户自定义函数并形成若干LISP、ARX、VLX或ADS文件,以及一些DCL文件。 (2)建立符合自己要求的菜单文件,一般可在AutoCAD原菜单文件内添加自己的内容,对于AutoCAD2000以上版本还可增加部分菜单文件,然后经交互方式加入到系统中去。 (3)在系统的ACAD.LSP或类似文件中加入某些内容以便进行各种初始化操作,如在启动时立即装入一些文件等。 (4)通过系统对话框设置某些路径。这些操作在程序开发成功后向其它AutoCAD系统上安装应用,特别是需要大批安装时,需要进行很多文件检索、内容增删、子目录创建、文件拷贝、系统设置等繁琐工作,如能令上述工作全部自动进行,使整个<em>二次开发</em>程序在无人干预的情况下嵌入系统,将大大提高工作效率。
VB CAD插件二次开发
Dim acadapp As AcadApplication '在窗体代码声明段定义acadapp Private Sub Command1_Click() acadapp.Documents.Add '创建新的图形文件 End Sub Private Sub Command2_Click() Dim myfilename As String Me.CommonDialog1.ShowOp
求助:关于CAD二次开发
语言:C# rn背景:目前在做CAD的Ribbon界面载入,需要判断CAD的版本和工作空间。rn例如:CAD2010版本以上的,且工作空间为非CAD经典的话需要加载Ribbon菜单。rn问题:1. ObjectArx有没有判断CAD版本的接口或方法,有的话接口或方法是什么?rn 2. ObjectArx2014有没有开发指南之类的东西,就是告诉你都有什么方法,和接口?
CAD二次开发Visual_LISP指南
CAD<em>二次开发</em>Visual_LISP指南
cad二次开发之模拟时钟
上述文件是一个简易CAD<em>二次开发</em>应用,原理很简单:仅仅是一条直线每次旋转一个角度,一直循环罢了,
c#与CAD的二次开发
能对<em>二次开发</em>进行了解,认真查看可从中获得
Cad二次开发(三)
Cad<em>二次开发</em>      接着上次的说,上次介绍了环境搭建,并成功的打印了 Hello Cad,下面介绍cad中基本操作。 首先加入一个直线到cad中  想要读取这段代码,要有一定的c++基础,如果没有任何c++基础建议先从c++基础学习,推荐谭浩强版本的教程,浅显易懂。  下面介绍一些cad的一个基本实体:直线。  直线包含两个点:起点和终点。【AcGePo
VB SendKeys CAD二次开发
rn我做了个程序,通过SendKeys给一个对话框中的两个文本框输入数字,在确认,程序如下:rn其中,U和V为变量,对于两个数字。rnrn......rn U=80rn V=60rn SendKeys Urn SendKeys "TAB"rn SendKeys Vrn SendKeys "enter"rn SendKeys "%IPD~", Truern......rnrn通过测试,我发现只有rn SendKeys Urn SendKeys "TAB"rn是有效的。rnrn为什么?rn我是在做CAD的<em>二次开发</em>。rn谢谢先!
cad钣金二次开发
cad钣金<em>二次开发</em>软件,可快速展开,标注,做工艺
cad二次开发代码
这个是cad<em>二次开发</em>的源代码,大家可以下载下来看看。
清华大学cad二次开发
来自清华大学的cad<em>二次开发</em>相关的教程讲义
Auto CAD二次开发课件
autocad<em>二次开发</em>教学课件,合肥工业大学出版社
基于c#的CAD二次开发
该资源对于刚接触CAD<em>二次开发</em>的学员来说,是一份十分比较不错的资料,里边有比较详细和基础的源码
CAD二次开发课件-14
CAD<em>二次开发</em>理论与技术配套课件CAD<em>二次开发</em>理论与技术配套课件
Cad二次开发(二)
Cad<em>二次开发</em>      接着上次的说, 一、环境配置: 上次忘了介绍,vs2008还需要安装sp1的补丁包:[ VS2008SP1CHSX1512981.iso]。  接着配置ARX工程,从官网下载【objectarx_2012_wizards】 ,这里注意一下,下载后是一个msi文件,如果不以管理员权限运行后期会产生一些问题,但是win10默认msi右键没有办法以管理员
CAD二次开发(VB)代码整理
有时工作中在CAD上一笔一划设计图纸的重复动作,为了提高设计效率,我闲暇之余经常自己搞弄CAD<em>二次开发</em>,现在整理了一些平时项目中常用到的程序供大家参考使用,基本都是手打哦。 文章包含代码: CAD连通Excel数据 面积统计 图框替换 CAD连通Excel数据 很多Excel中计算后的新成果需要与CAD上工程量、坐标信息等表格来回修改,数据都是有的,那么如何编写代码实现...
auto cad 二次开发
本软件的设计作用,就是使机械设计中常用滚动轴承参数化,设计人员只需在程序引导下点选滚动轴承所需类型、规格,就可很快绘出相应滚动轴承视图,从而减轻设计人员劳动强度,提高设计效率。本设计主要对三种常见的深沟球轴承、角接触球轴承、圆锥滚子轴承进行了参数化设计。
Cad二次开发(一)
Cad<em>二次开发</em> Cad是AutoCAD的简称,在工业领域有着举足轻重的地位,道路、建筑、机械等多个领域均有涉及,而Cad本身功能大多数情况下不能满足设计、规划的复杂需求,故而衍生了Cad<em>二次开发</em>行业的兴起。 Cad<em>二次开发</em>主要的方式包括:lisp、.net、arx、vba等,这里主要介绍arx开发。 首先,开发工具为欧特克公司提供的SDK,下图显示了部分版本的下载路径...
c#做cad二次开发
AcadSelectionSet mySelectionSet;rnmySelectionSet = AcadDoc.SelectionSets.Add("NewSelectionSet008");rnInt16[] FilterType = new Int16[1];rnobject[] FilterData = new object[1];rnFilterType[0] = 8;rnFilterData[0] = "PUB_TEXT";rnmySelectionSet.SelectOnScreen(FilterType, FilterData);rndouble[] resultX, resultY, resultZ;rnString[] textArray;rnint count = 0;rnstring showInfoText = "";rnforeach (AcadObject acadObj in mySelectionSet)rn//在调用selectonscreen函数时,用鼠标在cad图上框选一片图形,运行到这里会报错,但是鼠标如果单击选择文字就能运行过去,想问一下怎么解决。。。。如果换做是调用mySelectionSet.Select(AcSelect.acSelectionSetAll,null, null, FilterType,FilterData);rn那么foreach那里又该怎么写呢rn我只是想获取cad图中所有单行文字或者多行文字的相对坐标,希望不需要手动选择,而是程序自动获取rnrn
dwg文件读取 CAD二次开发
很好的cad<em>二次开发</em>源码,希望对大家有用,我可是找了很久才找到的哦
objectarx c++二次开发cad
-
cad二次开发高手请进
错误: no function definition: =JS_SCALErn[code=C#]rn(defun c:5js()rn(setq os (getvar "osmode")rncmdcho (getvar "cmdecho"))rn(setvar "osmode" 0)rn(setvar "cmdecho" 0)rn(tsc)rn(setq pt1 (getpoint "\n 插入点"))rn(setq pt2 (polar pt1 (angtof "-108")(sc 28.9086)))rn(setq pt3 (polar pt2 pi (sc 28.9086)))rn(setq pt4 (polar pt3 (angtof "-36.00")(sc 28.9086)))rn(setq pt5 (polar pt4 (angtof "-108")(sc 28.9086)))rn(setq pt6 (polar pt5 (angtof "36")(sc 28.9086)))rn(setq pt7 (polar pt6 (angtof "-36")(sc 28.9086)))rn(setq pt8 (polar pt7 (angtof "108")(sc 28.9086)))rn(setq pt9 (polar pt8 (angtof "36")(sc 28.9086)))rn(setq pt10 (polar pt9 pi (sc 28.9086)))rn(command "color" "r")rn(command "pline" pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 "c")rn(setq s1(entlast))rn(command "-bhatch" "p" "s" "s" s1 "" "")rn(setvar "osmode" os)rn(setvar "cmdecho" cmdcho)rn)rn(defun tsc()rn(if(=js_scale nil)rn(setq js_scale 1)rn)rnrn(setq inp(getreal(strcat"\n 输入比例因子")))rn(if inprn(setq js_scale inp)rn)rn)rnrn(defun sc(x)rn(* x js_scale)rn)rn(prompt"\n 画五角星程序,键入:5js执行")rn(princ)rn[/code]
CAD二次开发源码
win7 32位操作系统 基本对象创建与编辑 块的创建 用户交互
基于c#二次开发CAD
给 AutoCAD2008开发的类库,使用的语言为c# 当时设计的主要目的是为了实现自动绘图 但只完成了一部分 后来因为换工作了,这个东西也懒得继续写了,发出来赚点积分
CAD二次开发程序-2
根据国家标准GB/T131-1993,在AutoCAD中标注表面粗糙度时应遵守下列原则: (1)表面粗糙度符号参数的尖峰总是由实体表面外部指向所标注的表面,且与该表面垂直; (2)表面粗糙度符号参数在定位之前,能动态调整,以便用户调整其位置和角度; (3)连续标注时,用户可用表面粗糙度文本参数的缺省值,也可用自定义值; (4)表面粗糙度符号参数的旋向,能保证文本参数的字头始终具有向上或向左的趋势; (5)表面粗糙度符号参数和文本参数的大小,应与全图尺寸比例协调一致。
CAD二次开发 课件
CAD<em>二次开发</em>技术的课件 辽工大的课件
请教CAD二次开发的问题!
我用VBA写了一些宏,但这样使用起来不方便,也不能成为一个软件,我要做怎样才处理,才能把这些功能添加到菜单里,哪为高手给点指点我的QQ是82678227 ,留下个联系方式,谢谢
C#对CAD二次开发
一个CAD生手,想问大侠几个问题。rn使用C#可以实现CAD的以下功能吗?rn1.放大rn2.缩小rn3.查询某一个点,或线rn4.突出显示某一点或线rn5.添加一个图标rn6.添加一条线或点。rn7.得到此点或线的相关信息(从图上单击这个线或点,或其它方法,但要与图rnrnrn相关)rn8.打开一个CAD文件,显示此文件,然后再从数据库中读取一些信息,比如读取一个点的名称或其它相关的信息,显示在图上。rn9.如果一个图上的对象较多,全部显示显示比较乱时,可以只显示其中的一部分,另一部分不显示。rn附:有没有这方面的书籍可供参阅的阿?
CAD二次开发vba示例
Dim acadApp As Object Dim acadDoc As Object Sub ConnectToAcad() On Error Resume Next Set acadApp = GetObject(, "AutoCAD.Application") If Err Then Err.Clear Set acadApp = CreateObject("AutoCAD.Application") acadApp.Visible = True If Err Then MsgBox Err.Description End If Set acadDoc = acadApp.Object '(会不会出现问题在这?) End Sub
CAD二次开发
有规则的图形可通过CAD的宏来自动生成 只需简单的几个参数,便可实现瞬间大爆发 效率可谓事半功倍
CAD二次开发的Python脚本
cad<em>二次开发</em>,Python脚本类 CAD<em>二次开发</em>中,CAD需要采用加载DLL集,并通过CommandMethod[diameter]的方法可以自动生成图纸,但这里的diameter能否设置成变量值,并且这个变量值与窗体上的文本框内容一至。 我试了一种方法,那就是在DLL中设置静态变量,然后在窗体中赋值,失败
对CAD的二次开发
用visual经典语言对CAD的<em>二次开发</em>以适用于我们以后面对的不同的图形,实体,
CAD二次开发--自动加载插件
> 方式一: 利用COM组件的SendCommand方法:此方法适用于独立程序与AutoCAD程序的交互(开发的程序与CAD程序处于不同的进程),但是某些具体的功能在DLL文件内。 1.添加对Interop.AutoCAD.dll文件的引用。 2.在头文件加入 using AutoCAD; 3.连接CAD:AcadApplication app = (AcadApplication)Syst
基于C#的CAD二次开发
各位大神们,小弟我想用C#做一个CAD的<em>二次开发</em>,初次接触CAD<em>二次开发</em>,不知道如何下手。rn我的想法在已有的CAD图形的基础上,再根据坐标点完成画线以及加文本注释的工作rn不知道是应该做成一个类似插件的东西,还是做一个EXE应用程序?rn如果是做成插件,我改如何入手呢?rn[img=https://forum.csdn.net/PointForum/ui/scripts/csdn/Plugin/003/onion/3.gif][/img]
cad二次开发vba源代码
cad 从基础到高级,各种vba代码。分章节。
VAB CAD 二次开发
是VB来<em>二次开发</em>CAD的pdf教程,坑爹的CSDN不能设置免费发布资源了,以前设置的0积分资源自动变成了10积分,这个最少只能设置2积分的。。。
cad二次开发之lisp语言
LISP是最早和最重要的符号处理编程语言之一,它于1958年由美国的J. McCarthy提出,并于1960年发表了他的第一篇关于LISP的论文。之后,LISP很快受到人工智能工作者的欢迎,获得广泛应用。LISP是LISt Processing(表处理)的缩写。
C# cad二次开发代码
定义一个CAD应用程序对像。定义一个CAD文档。CAD的模型空间。然后就先开CAD应用程序
DxfReader CAD二次开发源码
不容易找的很好的DXF文件读取源码,希望对<em>二次开发</em>爱好者和软件项目工作者有一定帮助
CAD二次开发之ARX
适合于学习autocad<em>二次开发</em>的朋友,浅显易懂,内容全面,适合各学习阶段
懂得CAD二次开发的请进.
应用环境:C#编写类库(DLL),然后在AUTOCAD2008中NetLoad.rnrn问题如下:rnrn比如说,我用4条直线画了个矩形,当我单击矩形区域中任意空白处时,判断这个矩形区域是否封闭的.如果是封闭的则获得这4条线的各个点的坐标.rn我要实现的功能是,点击空白区域,判断区域是否封闭,如封闭则在区域内画一个缩小了的矩形.rn功能和Boundary有些类似.rnrn请朋友们帮忙想想办法,或有其他意见的直接提出.
CAD 二次开发教案 LISP
LISP是人工智能领域中广泛采用的一种程序设计语言。主要用于人工智能、机器人、专家系统、博奕、定理证明等领域。 LISP也被称为符号式语言,因为它处理的对象是符号表达式。LISP语言的程序和数据都是以符号表达式的形式来表示,因此,一个LISP程序可以把另一个LISP程序作为它的数据来处理。 LISP语言语法简单,编写程序便捷、灵活,数据类型丰富。利用LISP语言可以很容易地定义或调用新的函数。这就是Autodesk公司早在1985年的2.1版本就引用了LISP语言的宏操作,在1986年的2.5版本就推出了比较完整的AutoLISP语言的原因。 LISP在它几十年的发展过程中产生了多种版本,如MacLISP、InterLISP、ZetaLISP、和CommonLISP等。其中CommonLISP是近几年美国的几所大学(如麻省理工、斯坦福等)和工业界(如Bell实验室、DEC公司、HP公司等)的人工智能研究人员协同推出的,它概括了MacLISP、InterLISP、ZetaLISP等版本的特点,因而功能较强且拥有其它版本的一些优点,是目前LISP语言较完整的版本。
CAD二次开发程序-1
(1)设置米制绘图单位、文字尺寸;(2)设置尺寸标注变量;(3)预定义单线体汉字、仿宋体汉字、制表用汉字的字型文件;(4)预定义原型系统的公用图库、符号库;(5)生成绘图模板和通用菜单等。新的国家标准对CAD系统的图层、线型和颜色等都作了具体规定,结合国标与原型系统开发的需要,我们不仅建立了图层、线型和颜色对应关系(见下表),而且通过采用颜色表达线条粗细,提供了简洁的图形处理方法。
cad二次开发源码
cad源码供cad<em>二次开发</em>使用 有助于cad的深入研究
C# 二次开发CAD
主要想实现功能如下:rn1:读取dxf文件,并获取文件中相关信息,如圆/半圆的中心位置,半径,直线的启始位置,长度等。rn2:修改图形中坐标系的原点。rn3:实现图形的缩放。rn4:实现图形中各零件的单独选中,类似与CAD中选中的功能。rnrnC# VS2010 开发。rn1:查了下资料。网上主要是用 这两种方式开发的较多点:ObjectARX/.net API ,个人偏向于用.net API 来开发,不知能否达到上述功能?rn2:还有个主要问题:用上面两种方式开发,版本是否兼容。如我用CAD 2010的版本,当客户那边是CAD 2007/2004 是否能够兼容?
钢构cad cad二次开发完美软件
cad<em>二次开发</em>软件 适合各行业 功能齐全 非常好用
CAD ARX二次开发中文帮助
CAD ARX<em>二次开发</em>中文帮助,可以帮助初学者查阅。是不错的资料。
cad C# 二次开发 环境配置常见问题
搭建cad<em>二次开发</em>环境时 出现各种问题 这里总结了一下 希望有所帮助 另外 若入到cad打开时报。。。。.arx出错 是因为显卡驱动问题 在官网上有解决方法这里一并附上 网址
cad二次开发 块表创建
cad<em>二次开发</em>,块表的创建,用C#语言描写的
CAD二次开发的例子-数控程序
CAD转换为数控加工文件,数控系统西门子802D
CAD二次开发(C#)之Application 对象
CAD<em>二次开发</em>之Application 对象 一、认识Application Application 对象是 AutoCAD .NET API 对象模型的根对象。通过 Application 对象,用户可以访问主窗口以及任何打开的图形。一旦用户获得了图形,就可以访问图形中的对象。关于使用打开图形文件(documents)的更多信息,请参见 Document 对象部分。 例如,Ap
cad 二次开发 用户交互 选择集
cad <em>二次开发</em> 用户交互 选择集 属性扩展
CAD二次开发c#(一)搭建环境
开发环境:win7,vs2012,CAD2016 一、新建一个类库,打开vs2012,点击文件-新建-项目,选择类库,点击保存。 然后添加引用,鼠标右键引用-添加引用-浏览,找到CAD的安装路径X:\Autodesk\AutoCAD 2016,找到以下几个dll文件 accoremgd.dll,AcCui.dll,acdbmgd.dll,acmgd.dll;添加这几个引用。 添加完成后...
C++ CAD Arx二次开发用户交互
一、本节课程Arx<em>二次开发</em>用户交互二、本节要讲解的知识点1、用户交互的一些函数:acedGetXXX(acedGetString、acedGetPoint、acedGetInt acedGetKword、acedGetReal)。2、动态创建多段线的实现。3、acedGetPoint函数中使用关键字。三、具体内容1、acedGetString:获取用户输入的字符串acedGetPoint:获取用户...
cad二次开发中连接字符串问题
找了好久的问题,因为夹杂着不走断点的cad问题。先把断点问题解决了后,才找到错误在哪。因为我写的有一个sqlhelper连接字符串。public static string strConn = ConfigurationManager.ConnectionStrings["strConn_spw"].ConnectionString;这个字符串在cad运行时,竟然不走app.config.以下是排
CAD(arx) 二次开发方面问题!
arx中有一个多边形网格类AcDbPolygonMesh,用于生成3D模型,ObjectARX2000自带的代码没有这方面的,本人想找一些使用这个类的实例代码,有模型数据的更好,希望CAD<em>二次开发</em>方面的高手能给点帮助:)rnrn能给予较好的实例和模型数据,可以另加分的:)rnrnQQ:15644273rnEmail:weixiao2002@peoplemail.com.cn
关于CAD二次开发,会者不难,请进!!!
在Delphi下调用图形对象的SetXdata出错rnrn 错误提示:灾难性错误!rnrn 各位高手出招了!!!
C# CAD二次开发的重绘命令
在模型空间中画了实体,但是看不到rn需要重绘命令让其显示出来。
c# 的CAD二次开发高手请进
请教各位大神,错误信息为:rnSystem.AccessViolationException: 尝试读取或写入受保护的内存。这通常指示其他内存已损坏。rn 在 Autodesk.AutoCAD.Runtime.RXObject.DeleteUnmanagedObject()rn 在 Autodesk.AutoCAD.Runtime.DisposableWrapper.!DisposableWrapper()rn 在 Autodesk.AutoCAD.Runtime.DisposableWrapper.Dispose(Boolean )rn 在 Autodesk.AutoCAD.Runtime.DisposableWrapper.Finalize()rnrn经调试,发现具体出错代码部分如下rnusing (Transaction ts = pdb.TransactionManager.StartTransaction())//pdb是当前操作的数据库rn rn ObjectId lydiid = pdb.LayoutDictionaryId;rn //ObjectId objid1 = pdb.GetObjectId(false, lydiid.Handle, 0);rn DBDictionary lydi = (DBDictionary)ts.GetObject(lydiid, OpenMode.ForRead);//获取数据字典rn //DBDictionary lydi = (DBDictionary)ts.GetObject(objid1, OpenMode.ForRead);//获取数据字典rn DbDictionaryEnumerator di = lydi.GetEnumerator();//字典计数器rn while (di.MoveNext())//由于在图纸中有多个布局,这里遍历布局rn rn ObjectId lyid =di.Value ; rn //Layout lyt = (Layout)ts.GetObject (lyid ,OpenMode.ForWrite);rn Layout lyt = (Layout)ts.GetObject(lyid, OpenMode.ForRead);//获取布局rn BlockTable lybt=(BlockTable)ts.GetObject(pdb.BlockTableId,OpenMode.ForRead);rn //BlockTableRecord lybtr = (BlockTableRecord)ts.GetObject(lyt.BlockTableRecordId, OpenMode.ForWrite);//获取块表 rn BlockTableRecord lybtr = (BlockTableRecord)ts.GetObject(lyt.BlockTableRecordId, OpenMode.ForRead);//获取块表记录rn BlockTableRecordEnumerator lybtret = lybtr.GetEnumerator();rn while (lybtret.MoveNext())rn rn ObjectId objid = lybtret.Current;rn Entity ent = ts.GetObject(objid, OpenMode.ForWrite) as Entity;rn if (ent.GetType() == typeof(Table))rn rn Table tab = (Table)ent;rn tab.InsertRows(1, 8,1);rn tab.Cells[1, 0].TextString = "1";rn tab.Cells[1, 0].TextHeight = 2.5;rn for (int j = 1; j)rn rn mt.Contents = ljcanshu[((ljcanshu.Count) - 1)];rn mt.Height = 4;rn mt.TextHeight = 2;rn rn rn mt.Dispose();rn rn rn rn lybtr.Dispose();rn lyt.Dispose();rn rn lydi.Dispose();rn ts.Commit();rn ts.Dispose();rn //lydi.Dispose();rn
世界文化史(ppt)下载
世界文化史,包括欧洲,美洲,非法,尤其是中国的历史。 相关下载链接:[url=//download.csdn.net/download/ndsz06jy2sl/2223096?utm_source=bbsseo]//download.csdn.net/download/ndsz06jy2sl/2223096?utm_source=bbsseo[/url]
echolife hg522 c路由破解下载
echolife hg522 c 路由相关配置 相关下载链接:[url=//download.csdn.net/download/outfield/2636096?utm_source=bbsseo]//download.csdn.net/download/outfield/2636096?utm_source=bbsseo[/url]
AUDITION 1.5汉化增强免安装版下载
AUDITION 1.5汉化增强免安装版,音频处理的不二选择,很专业很强大! 相关下载链接:[url=//download.csdn.net/download/bdczjg/3609509?utm_source=bbsseo]//download.csdn.net/download/bdczjg/3609509?utm_source=bbsseo[/url]
相关热词 c#部署端口监听项目、 c#接口中的属性使用方法 c# 昨天 c#func链接匿名方法 c#怎么创建文件夹 c#从键盘接收空格 c#da/ad c#部门请假管理系统 c#服务器socket c# 默认的访问修饰符
我们是很有底线的